import nds2
import os
import sys


host = 'localhost'
if 'NDS_TEST_HOST' in os.environ:
    host = os.environ['NDS_TEST_HOST']
port = 31200
if 'NDS_TEST_PORT' in os.environ:
    port = int(os.environ['NDS_TEST_PORT'])

proto = nds2.connection.PROTOCOL_TWO

conn = nds2.connection(host, port, proto)

try:
    conn.fetch(1116286100, 1116286150, ["H1:ISI-BS_ST1_SENSCOR_GND_STS_X_BLRMS_30M_100M.mean,s-trend",])
    assert( False )
except Exception as e:
    assert( "None of the selected channels returned data." in str(e) )